	function generateUIExcel() {
		
		var createXLSLFormatObj = [];
		var xlsHeader = ["EMP-ID", "EMP-NAME", "CLAIM STATUS", "SITE-VISIT-DATE", "NO.OF SITES", "USER  START ADD", "USER END ADD", "DIST(KM)", "TOTAL (KM)", "TL(DA) Y/N", "TL DA Amt", "TL(OB)", "TL(LODGE)", "TL(FINAL AMT)", "TL([+/-]Amt)", "TL(REASON)", "TL(NAME)", "TL(APP DATE)"];

		var xlsRows = JSON.parse(ResponseJsonDataMap_globleVar.get("ResponseJsonData"));

		createXLSLFormatObj.push(xlsHeader);
		let tempEmpId='';
		let tempSiteVisitDate='';
		let currentLoopCondition=false;
		$.each(xlsRows, function (index, value) {
			
			var innerRowData = [];
			//currentLoopCondition = tempEmpId == value.empId && tempSiteVisitDate == value.date;
//			if(currentLoopCondition){
			if(tempEmpId == value.empId && tempSiteVisitDate == value.date){
				
			innerRowData.push(value.empId);
			innerRowData.push(value.empName);
			innerRowData.push(getClaimstatus(value.claimstatus));
			innerRowData.push(value.date);
			innerRowData.push(value.siteVisitedOrder);
			innerRowData.push(value.startingLocationAddress);
			innerRowData.push(value.destinationLocationAddress);
			innerRowData.push(value.distance);
			innerRowData.push(value.totalDistance);
			innerRowData.push(value.TLDeputation);
			innerRowData.push("0");
			innerRowData.push("0");
			innerRowData.push("0");
			innerRowData.push("0");
			innerRowData.push("0");
			innerRowData.push("--");
			innerRowData.push(value.approvedTL);
			innerRowData.push(value.tlApprovedDate);
			
		}else{
			   
			innerRowData.push(value.empId);
			innerRowData.push(value.empName);
			innerRowData.push(getClaimstatus(value.claimstatus));
			innerRowData.push(value.date);
			innerRowData.push(value.siteVisitedOrder);
			innerRowData.push(value.startingLocationAddress);
			innerRowData.push(value.destinationLocationAddress);
			innerRowData.push(value.distance);
			innerRowData.push(value.totalDistance);
			innerRowData.push(value.TLDeputation);
			innerRowData.push(value.TLDAAmount);
			innerRowData.push(value.TLOtherBill);
			innerRowData.push(value.TLHotelBill);
			innerRowData.push(value.TLTotalAmount);
			innerRowData.push(value.tlDeductedAmount);
			innerRowData.push(value.TLDeductedReason);
			innerRowData.push(value.approvedTL);
			innerRowData.push(value.tlApprovedDate);
			   }
			//currentLoopCondition = tempEmpId == value.empId && tempSiteVisitDate == value.date;
			tempEmpId=value.empId;
			tempSiteVisitDate=value.date;
			
			
			//			console.log(innerRowData);
			//			console.log("---------------------------------------");

			createXLSLFormatObj.push(innerRowData);
		});


		/* File Name */
		var filename = "ALL_Claims.xlsx";

		/* Sheet Name */
		var ws_name = "FTA Claims";

		if (typeof console !== 'undefined') console.log(new Date());
		var wb = XLSX.utils.book_new(),
			ws = XLSX.utils.aoa_to_sheet(createXLSLFormatObj);

		/* Add worksheet to workbook */
		XLSX.utils.book_append_sheet(wb, ws, ws_name);

		/* Write workbook and Download */
		//if (typeof console !== 'undefined') console.log(new Date());
		XLSX.writeFile(wb, filename);
		//if (typeof console !== 'undefined') console.log(new Date());
		//thisBtn.html('<i class="fa fa-arrow-down"></i>');
		return true;
	}

	function getClaimstatus(claimStatus) {
	    console.log("claimStatus"+claimStatus);
		var returnValue;
		switch (claimStatus) {
			case 0:
				returnValue = 'Claim Pending at Employee';
				break;
			case 1:
				returnValue = 'Claim Pending at TL';
				break;
			case 2:
				returnValue = 'Claim Approved By TL';
				break;
			case 3:
				returnValue = 'Claim Rejected By TL';
				break;
			case 4:
				returnValue = 'Claim Approved By Finance';
				break;
			case 5:
				returnValue = 'Claim Rejected By Finance';
				break;
			case 6:
				returnValue = 'Claim Paid By Finance';
				break;

		}
		return returnValue;

	}




// ;;